=== debian/changelog ===
ros-lunar-async-comm (0.1.1-0xenial) xenial; urgency=high

  * Some cleanup
  * Process callbacks on a separate thread
  * Made buffer sizes constant, removed faulty mechanism for overriding
  * Removed requirement that bulk write length be no greater than write buffer size
  * Contributors: Daniel Koch

 -- Daniel Koch <danielpkoch@gmail.com>  Thu, 21 Feb 2019 07:00:00 -0000

ros-lunar-async-comm (0.1.0-0xenial) xenial; urgency=high

  * Initial release
  * Contributors: Daniel Koch, James Jackson

 -- Daniel Koch <danielpkoch@gmail.com>  Fri, 31 Aug 2018 06:00:00 -0000
