=== debian/control ===
Source: ros-lunar-async-comm
Section: misc
Priority: extra
Maintainer: Daniel Koch <danielpkoch@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, libboost-all-dev
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-async-comm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-lunar-catkin
Description: A C++ library for asynchronous serial communication
